#ifndef DEMTTT_POSTERS_TTT_H
#define DEMTTT_POSTERS_TTT_H

#include "server/MPC_DEMTreatmentHeader.h"

#include <MPC/common.hpp>
#include <MPC/environment.hpp>
using namespace mpc;

#define DISPLAY_TIME true

/* #if DISPLAY_TIME */
/* Timer timer_monitor;                 // timer used to monitor the real execution time of the module */
/* #endif */

/*------------------------------------------------------------------------
 *  poster reading / writing tools
 */

/**
 *  \brief Convert a DTM_P3D poster into a DEM
 *  \param poster : the input poster
 *  \return a new DEM corresponding to the input poster
 *
 *  A new instance of DEM object is created
 */
DEM* DTM_P3D_POSTER_to_DEM(const DTM_P3D_POSTER& poster);

/*
 *  \brief update the local DEM of the Mana robot
 *  \return the resulting DEM if the process succeed, NULL else
 */
DEM* updateDEM(const POSTER_ID& demPosterId);

/*
 *  \brief Fill the distance to obstacles map poster from a mpc distmap
 *  \param distMap : the input mpc distmap
 */
int fillDistMapPoster(DistObsMap* distMap);


#endif // DEMTTT_POSTERS_TTT_H
