/**
 ** MPC_DEMTreatmentCntrlTaskCodels.cc
 **
 ** Codels used by the control task MPC_DEMTreatmentCntrlTask
 **
 ** Author: Vivien Delsart
 ** Date: 
 **
 **/

#include <portLib.h>

#include "server/MPC_DEMTreatmentHeader.h"
#include "DEMTTT_Posters_ttt.h"

#include <iostream>
using namespace std;

extern Timer timer_monitor;                 // timer used to monitor the real execution time of the module


/*------------------------------------------------------------------------
 * Start_DEMLogCntrl  -  control codel of CONTROL request Start_DEMLog
 *
 * Description:    
 * Report: OK
 *
 * Returns:    OK or ERROR
 */

STATUS
Start_DEMLogCntrl(int *report)
{
  // Start to log DEMs
  cout << "MPC_DEMTreatment : Start to log DEMs..." << endl;
  SDI_F->logDEM = 1;

  return OK;
}

/*------------------------------------------------------------------------
 * Stop_DEMLogCntrl  -  control codel of CONTROL request Stop_DEMLog
 *
 * Description:    
 * Report: OK
 *
 * Returns:    OK or ERROR
 */

STATUS
Stop_DEMLogCntrl(int *report)
{
  // Stop to log DEMs
  cout << "MPC_DEMTreatment : Stop to log DEMs..." << endl;
  SDI_F->logDEM = 0;

  return OK;
}

/*------------------------------------------------------------------------
 * Start_DEMTimerCntrl  -  control codel of CONTROL request Start_DEMTimer
 *
 * Description:    
 * Report: OK
 *
 * Returns:    OK or ERROR
 */

STATUS
Start_DEMTimerCntrl(int *report)
{
  SDI_F->timer_started = 1;

  timer_monitor.reinit();
  timer_monitor.start();

  return OK;
}

/*------------------------------------------------------------------------
 * Stop_DEMTimerCntrl  -  control codel of CONTROL request Stop_DEMTimer
 *
 * Description:    
 * Report: OK
 *
 * Returns:    OK or ERROR
 */

STATUS
Stop_DEMTimerCntrl(int *report)
{
  SDI_F->timer_started = 0;

  timer_monitor.stop();

  return OK;
}
